# freecad-python generated by Parametrix
# run the script with:
# freecad.cmd myScript.py

import FreeCAD as App
import Part

#print(sys.argv)
outFileName = "voila"
if (len(sys.argv) == 3):
    outFileName = sys.argv[2]
print(f"outFileName: {outFileName}")

def ctr_face_voila_faceVoila_Fa0_Ctr0():
	P000 = App.Vector(-10.0000, -25.0000, 0)
	P001 = App.Vector(20.0000, -25.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(20.0000, 15.0000, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(17.0711, 22.0711, 0)
	P004 = App.Vector(10.0000, 25.0000, 0)
	S002 = Part.Arc(P002, P003, P004)
	P005 = App.Vector(-20.0000, 25.0000, 0)
	S003 = Part.LineSegment(P004, P005)
	P006 = App.Vector(-20.0000, -15.0000, 0)
	S004 = Part.LineSegment(P005, P006)
	P007 = App.Vector(-17.0711, -22.0711, 0)
	P008 = App.Vector(-10.0000, -25.0000, 0)
	S005 = Part.Arc(P006, P007, P000)
	aShape = Part.Shape([S000, S001, S002, S003, S004, S005])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def ctr_face_voila_faceVoila_Fa0_Ctr1():
	# Radius, XYZ-position, orientation
	aCircle = Part.makeCircle(10.0000, App.Vector(0.0000, 0.0000, 0), App.Vector(0, 0, 1))
	aWire = Part.Wire(aCircle)
	rFace = Part.Face(aWire)
	return rFace

def face_voila_faceVoila_Fa0():
	FC000 = ctr_face_voila_faceVoila_Fa0_Ctr0()
	FC001 = ctr_face_voila_faceVoila_Fa0_Ctr1()
	rOneFace = FC000.cut([FC001])
	rOneFace.check()
	return rOneFace

def voila_faceVoila():
	FA000 = face_voila_faceVoila_Fa0()
	rOneFig = FA000
	rOneFig.check()
	return rOneFig

def fex_subpax_voila_top():
	FIG = voila_faceVoila()
	VEX = FIG.extrude(App.Vector(0, 0, 10))
	VR1 = VEX.rotate(App.Vector(0, 0, 0), App.Vector(1, 0, 0), 0.0000)
	VR2 = VR1.rotate(App.Vector(0, 0, 0), App.Vector(0, 1, 0), 0.0000)
	VR3 = VR2.rotate(App.Vector(0, 0, 0), App.Vector(0, 0, 1), 0.0000)
	VFP = VR3.translate(App.Vector(0.0000, 0.0000, 0.0000))
	return VFP
subpax_voila_top = fex_subpax_voila_top()

pax_voila = subpax_voila_top

pax_voila.check()
#pax_voila.exportBrep(f"{outFileName}.brep")
#pax_voila.exportIges(f"{outFileName}.igs")
#pax_voila.exportStep(f"{outFileName}.stp")
pax_voila.exportStl(f"{outFileName}.stl")

